%define majver %(echo %version | cut -d. -f1-2)

Name:          breeze-plymouth
Version:       5.11.3
Release:       1mamba
Summary:       KDE Plasma 5 boot splash theme
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/breeze-plymouth-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: plymouth-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma 5 boot splash theme.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/plymouth/breeze-text.so
%dir %{_datadir}/plymouth/themes/breeze-text
%{_datadir}/plymouth/themes/breeze-text/*
%dir %{_datadir}/plymouth/themes/breeze
%{_datadir}/plymouth/themes/breeze/breeze.grub
%{_datadir}/plymouth/themes/breeze/breeze.plymouth
%{_datadir}/plymouth/themes/breeze/breeze.script
%dir %{_datadir}/plymouth/themes/breeze/images
%{_datadir}/plymouth/themes/breeze/images/*
%{_datadir}/plymouth/themes/breeze/preview.png
%doc COPYING

%changelog
* Thu Nov 09 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Sun Oct 29 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.2-1mamba
- package created using the webbuild interface
